#storeMapContainer {
    height: 100%;
    display: flex;
    flex-flow: column wrap;
}

#storeMapContainer #storeMap {
    width: 100%;
    min-height: 100px;
    height:60vh;
	max-height:710px;
    flex: 1 1 60vh;
}

#storeMapContainer .store-map-headline {
    margin-top: 16px;
}

#storeMapContainer .store-map-headline, 
#storeMapContainer .store-map-subheadline,
#storeMapContainer form {
    flex: 0 0 auto;
}

#storeMapContainer form {
    position: relative;
    margin: 8px auto;
    display: flex;
    justify-content: center;
}

#storeMapContainer form button {
    padding-top: 0;
    padding-bottom: 0;
    min-height: unset;
    margin-left: 8px;
}

#storeMapContainer #storeMapErrorMessage {
    position: absolute;
    top: 100%;
    color: red;
}

#storeMapContainer #storeMapErrorMessage.invisible {
    visibility: hidden;
}
